import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleNetblockIpRangesConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly rangeType?: string;
}
/**
 * @stability stable
 */
export declare class DataGoogleNetblockIpRanges extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataGoogleNetblockIpRangesConfig);
    /**
     * @stability stable
     */
    get cidrBlocks(): string[];
    /**
     * @stability stable
     */
    get cidrBlocksIpv4(): string[];
    /**
     * @stability stable
     */
    get cidrBlocksIpv6(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _rangeType?;
    /**
     * @stability stable
     */
    get rangeType(): string;
    /**
     * @stability stable
     */
    set rangeType(value: string);
    /**
     * @stability stable
     */
    resetRangeType(): void;
    /**
     * @stability stable
     */
    get rangeTypeInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
