import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGoogleIamTestablePermissionsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customSupportLevel?: string;
    /**
     * @stability stable
     */
    readonly fullResourceName: string;
    /**
     * @stability stable
     */
    readonly stages?: string[];
}
/**
 * @stability stable
 */
export declare class DataGoogleIamTestablePermissionsPermissions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiDisabled(): boolean;
    /**
     * @stability stable
     */
    get customSupportLevel(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get stage(): string;
    /**
     * @stability stable
     */
    get title(): string;
}
/**
 * @stability stable
 */
export declare class DataGoogleIamTestablePermissions extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGoogleIamTestablePermissionsConfig);
    private _customSupportLevel?;
    /**
     * @stability stable
     */
    get customSupportLevel(): string;
    /**
     * @stability stable
     */
    set customSupportLevel(value: string);
    /**
     * @stability stable
     */
    resetCustomSupportLevel(): void;
    /**
     * @stability stable
     */
    get customSupportLevelInput(): string | undefined;
    private _fullResourceName;
    /**
     * @stability stable
     */
    get fullResourceName(): string;
    /**
     * @stability stable
     */
    set fullResourceName(value: string);
    /**
     * @stability stable
     */
    get fullResourceNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    permissions(index: string): DataGoogleIamTestablePermissionsPermissions;
    private _stages?;
    /**
     * @stability stable
     */
    get stages(): string[];
    /**
     * @stability stable
     */
    set stages(value: string[]);
    /**
     * @stability stable
     */
    resetStages(): void;
    /**
     * @stability stable
     */
    get stagesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
